> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a task job

> Delete the specified task job's configuration from Fusion.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-config.json delete /job-config/tasks/{id}
openapi: 3.0.1
info:
  title: Fusion Job Config API
  description: API for the Job Configuration and History of Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST}
    description: Fusion
    variables:
      FUSION_HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Manage task jobs
    description: Fetch, create, update, and delete task job configurations.
  - name: Manage all jobs
    description: Fetch, create, update, and delete task jobs and Spark jobs.
  - name: Manage job schedules
    description: Fetch, configure, and reset job schedules.
  - name: Get job histories
    description: Get the history of any job.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /job-config/tasks/{id}:
    delete:
      tags:
        - Manage task jobs
      summary: Delete a task job
      description: Delete the specified task job's configuration from Fusion.
      operationId: deleteEntityWithBody
      parameters:
        - name: id
          description: The unique ID for this job.
          example: refresh-autocomplete-blob
          in: path
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          required: false
          schema:
            type: integer
            format: int32
            default: -1
        - name: context
          in: query
          required: false
          schema:
            type: string
        - name: ignoreLinks
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK

````